%define upstream_name    Pod-Perldoc
%define upstream_version 3.28

%global __requires_exclude perl\\(Tk\\)|perl\\(Tk::Pod\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Customized option parser for Pod::Perldoc
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp) >= 0.220.0
BuildRequires: perl(IO::Select)
BuildRequires: perl(Pod::Man) >= 2.180.0
BuildRequires: perl(Pod::Simple::RTF) >= 3.160.0
BuildRequires: perl(Pod::Simple::XMLOutStream) >= 3.160.0
BuildRequires: perl(Pod::Text)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
_perldoc_ looks up a piece of documentation in .pod format that is embedded
in the perl installation tree or in a perl script, and displays it via
'pod2man | nroff -man | $PAGER'. (In addition, if running under HP-UX, 'col
-x' will be used.) This is primarily used for the documentation for the
perl library modules.

Your system may also have man pages installed for those modules, in which
case you can probably just use the man(1) command.

If you are looking for a table of contents to the Perl library modules
documentation, see the the perltoc manpage page.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install
for i in %{buildroot}/%{_bindir}/*; do mv $i $i-%{upstream_version}; done

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 3.280.0-5.mga10
+ Revision: 2204324
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 3.280.0-4.mga9
+ Revision: 1810103
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 3.280.0-3.mga8
+ Revision: 1506044
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 3.280.0-2.mga7
+ Revision: 1285743
- Mageia 7 Mass Rebuild

* Fri Jul 28 2017 sander85 <sander85> 3.280.0-1.mga7
+ Revision: 1132165
- update to 3.28
- update to 3.28

* Sun Jun 19 2016 pterjan <pterjan> 3.250.0-3.mga6
+ Revision: 1032320
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 3.250.0-2.mga6
+ Revision: 967160
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 3.250.0-1.mga6
+ Revision: 848200
- update to 3.25

* Wed Oct 15 2014 umeabot <umeabot> 3.240.0-3.mga5
+ Revision: 744394
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.240.0-2.mga5
+ Revision: 686015
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Tue Aug 19 2014 sander85 <sander85> 3.240.0-1.mga5
+ Revision: 665486
- update to 3.24

* Tue Feb 25 2014 jquelin <jquelin> 3.230.0-1.mga5
+ Revision: 596802
- update to 3.23

* Sun Feb 09 2014 sander85 <sander85> 3.210.0-1.mga5
+ Revision: 587369
- update to 3.21

* Sat Oct 19 2013 umeabot <umeabot> 3.200.0-2.mga4
+ Revision: 526286
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 3.200.0-1.mga4
+ Revision: 436459
- update to 3.20

* Wed Mar 27 2013 jquelin <jquelin> 3.170.0-3.mga3
+ Revision: 405525
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.170.0-2.mga3
+ Revision: 371958
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 01 2012 jquelin <jquelin> 3.170.0-1.mga3
+ Revision: 252860
- update to 3.17

* Thu May 31 2012 jquelin <jquelin> 3.150.0-2.mga3
+ Revision: 252155
- fix file conflict with perl 5.16

* Sun Jan 23 2011 jquelin <jquelin> 3.150.0-2.mga1
+ Revision: 34163
- mageia rebuild
- imported package perl-Pod-Perldoc

